Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Melodie Rosendale" <[email-masked]>
Date: Wed, 16 Mar 2011 08:58:55 -0400

Melodie,
I apologize for the confusion on the order.  It appears that a call was made to your company on 3/7/11 and the rep spoke to a Derrek.  The reps are supposed to speak to decision maker but it sounds as though this may not have been the case.  I have canceled out the invoice and please feel free to keep the posters free of charge as a courteousy.  Pleas accept our apologies for any inconvenience this has caused.
Thank you,
Michael B
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: LLPS 
  To: [email-masked] 
  Sent: Tuesday, March 15, 2011 11:27 PM
  Subject: LLPS Contact Us Submission

  Name: Melodie Rosendale

  E-mail Address: [email-masked]

  Telephone: Not specified

  Message: Today, March 15th, I received posters in the mail with order #1242478.
  I DID NOT place an order with your company and will be sending them
  back to you tomorrow. 

  Request generated on March 15th, 2011 at 11:27 PM EST from the IP address 24.9.81.172